Issue 66948 - Extend Dialog Editor to support binding of UNO objects
Summary: Extend Dialog Editor to support binding of UNO objects
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 680
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.0.4
Assignee: ab
QA Contact: issues@framework
URL: http://specs.openoffice.org/ide/Dialo...
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-03 08:05 UTC by ab
Modified: 2006-07-19 14:02 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
C++ Test Component for windows (14.16 KB, application/x-compressed)
2006-07-13 10:47 UTC, ab
no flags Details
Basic library including dialog used by test component (2.17 KB, application/x-compressed)
2006-07-13 10:49 UTC, ab
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description ab 2006-07-03 08:05:01 UTC
This includes the extension of com.sun.star.awt.DialogProvider service
to accept an UNO object as event handler and notify the dialog events
to it in an appropriate way.

A link to concept and spec documents will be provided soon.
Comment 2 ab 2006-07-13 10:47:59 UTC
Created attachment 37732 [details]
C++ Test Component for windows
Comment 3 ab 2006-07-13 10:49:51 UTC
Created attachment 37733 [details]
Basic library including dialog used by test component
Comment 4 ab 2006-07-13 11:06:58 UTC
To test, please install both attached packages with Tools/Package Manager,
then restart Office (otherwise the C++ component won't work).

Then start Basic script Library1.Module1.demonstrateSimpleComponent.
The test component will rise a dialog with events bound to the component.

The "Call thisMethodDoesNotExist()" is bound to a non existing mehtod and
should raise an error. The buttons "Call methodTwo()", "Call bla()" and "Call
blub()"
should raise MessageBoxes triggered by the component.

The "Copy 1 to 2" button should copy the content of EditField1 to EditField1.
This is also implemented inside the component.
Comment 5 ab 2006-07-13 11:21:26 UTC
Fixed
Comment 6 ab 2006-07-13 11:23:10 UTC
-> tbo: Please verify
Comment 7 b.osi.ooo 2006-07-13 16:12:11 UTC
verified
Comment 8 b.osi.ooo 2006-07-19 13:45:20 UTC
can't enable CppComponent.uno.pkg  in SRC680m177
rejecting types due to incompatibility

test not possible in master;

could be fixed by issue 67556

Comment 9 b.osi.ooo 2006-07-19 13:51:10 UTC
hmpf, taking back,
works after deleting user config directory...
needs further evaluating
Comment 10 b.osi.ooo 2006-07-19 14:02:05 UTC
wrote issue 67560;

This issue is ok in master - closing